Docs
Get Payment Methods
GET /Organizations/{orgId}/PaymentMethods
GET
/Organizations/{orgId}/PaymentMethodsLists the organization's saved payment methods (id, type, brand or bank name and last four digits) and its billing address. Requires OrganizationAdmin. Use the ids with Billing_UpdateOrgBilling or Billing_UpdateSubscription.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| orgId | uuid | Required |
Response
| Field | Type | Description |
|---|---|---|
| paymentMethods | GetOrganizationPaymentMethodsResponsePaymentMethod[]| null | |
| billingAddress | GetOrganizationPaymentMethodsResponseBillingAddressInfo |
GetOrganizationPaymentMethodsResponsePaymentMethod
| Field | Type | Description |
|---|---|---|
| id | string| null | |
| type | string| null | |
| brand | string| null | |
| last4 | string| null |
GetOrganizationPaymentMethodsResponseBillingAddressInfo
| Field | Type | Description |
|---|---|---|
| line1 | string| null | |
| line2 | string| null | |
| city | string| null | |
| state | string| null | |
| postalCode | string| null | |
| country | string| null |